// polskie znaki http://blog.stelmisoft.pl/2010/kodowanie-polskich-znakow-w-latexu/

@ARTICLE{251892, 
	author={S. Floyd and V. Jacobson}, 
	journal={IEEE/ACM Transactions on Networking}, 
	title={Random early detection gateways for congestion avoidance}, 
	year={1993}, 
	volume={1}, 
	number={4}, 
	pages={397-413}, 
	keywords={internetworking;network servers;packet switching;protocols;queueing theory;simulations;gateways;congestion avoidance;random early detection;packet-switched networks;average queue size;bandwidth;transport-layer congestion control protocol;TCP;bursty traffic;TCP/IP network;performance;Transport protocols;Delay effects;Throughput;Propagation delay;Bandwidth;TCPIP;Traffic control;High-speed networks;Feedback;Delay estimation}, 
	doi={10.1109/90.251892}, 
	ISSN={1063-6692}, 
	month={Aug},}

@article{kendall1953,
	author = "Kendall, David G.",
	doi = "10.1214/aoms/1177728975",
	fjournal = "The Annals of Mathematical Statistics",
	journal = "Ann. Math. Statist.",
	month = "09",
	number = "3",
	pages = "338--354",
	publisher = "The Institute of Mathematical Statistics",
	title = "Stochastic Processes Occurring in the Theory of Queues and their Analysis by the Method of the Imbedded Markov Chain",
	url = "https://doi.org/10.1214/aoms/1177728975",
	volume = "24",
	year = "1953"}

@article{Kempa_M/M/1/N,
	author = {Kempa, Wojciech},
	year = {2011},
	month = {01},
	title = {On Main characteristics of the M/M/1/N queue with single and batch arrivals and the queue size controlled by AQM algorithms},
	volume = {47},
  number={6},
	Journal={Kybernetika},
  pages={930-943}
}

@article { AnalysisofAQMqueueswithqueuesizebasedpacketdropping,
      author = "Andrzej Chydzi\'nski i \L{}ukasz Chr\'ost",
      title = "Analysis of AQM queues with queue size based packet dropping",
      journal = "International Journal of Applied Mathematics and Computer Science",
      year = "2011",
      volume = "21",
      number = "3",
      url = "https://content.sciendo.com/view/journals/amcs/21/3/article-p567.xml"
}

@book { MathematicalMethodsinthephysicalsciences,
  title={Mathematical Methods in the Physical Sciences},
  author={Boas, M.L.},
  isbn={9788126508105},
  series={Wiley student edition},
  url={https://books.google.pl/books?id=5Il7Jh5-mPcC},
  year={2006},
  publisher={Wiley}
}

@book{takagi1991queueing,
  title={Queueing Analysis: Vacation and priority systems (pt. 1)},
  author={Takagi, H.},
  isbn={9780444889102},
  lccn={91008058},
  series={Queueing Analysis: A Foundation of Performance Evaluation},
  url={https://books.google.pl/books?id=jwZDAQAAIAAJ},
  year={1991},
  publisher={North-Holland}
}

@book{cooper1981introduction,
  title={Introduction to Queueing Theory},
  author={Cooper, R.B.},
  isbn={9780444003799},
  lccn={80016481},
  url={https://books.google.pl/books?id=QWhRAAAAMAAJ},
  year={1981},
  publisher={North Holland},
  chapter={1},
  pages={4}
}

@book{pietnascie,
  title={Pi\k{e}tna\'scie wyk\l{}ad\'ow z proces\'ow stochastycznych },
  author={Miko\l{}aj Bratijczuk},
  isbn={9788378805236},
  year={2018},
  publisher={Wydawnictwo Politechniki \'Sl\k{a}skiej},
}

@article{DBLP:journals/corr/abs-1712-09726,
  author    = {Sanaullah Manzoor and
               Ghulam Abbas and
               Masroor Hussain},
  title     = {CHOKeD: {A} Fair Active Queue Management System},
  journal   = {CoRR},
  volume    = {abs/1712.09726},
  year      = {2017},
  url       = {http://arxiv.org/abs/1712.09726},
  archivePrefix = {arXiv},
  eprint    = {1712.09726},
  timestamp = {Mon, 13 Aug 2018 16:46:53 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/abs-1712-09726},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{Sasikala2013PCHOKeA,
  title={P-CHOKe : A Piggybacking-CHOKe AQM Congestion Control Method},
  author={G. Sasikala and E. George Dharma Prakash Raj},
  year={2013}
}

@phdthesis{Chrost_Lukasz_Wykorzystanie,
 author={Chr\'ost, \L{}ukasz},
 title={Wykorzystanie aktywnego zarz\k{a}dzania kolejkami do utrzymywania bardzo kr\'otkich kolejek pakiet\'ow w routerach},
 school={Politechnika \'Sl\k{a}ska},
 year={2013}
}

@TECHREPORT{ARED,
author = {Floyd, Sally and Gummadi, Ramakrishna and Shenker, Scott},
year = {2001},
month = {09},
NUMBER =   {ACIRI},
title = {Adaptive RED: An Algorithm for Increasing the Robustness of RED's Active Queue Management}
}

@TECHREPORT{BLUE,
  AUTHOR =        {Feng,Wu-chang and Kandlur, Dilip and Saha, Debanjan and Shin, Kang},
  TITLE =         {BLUE: A New Class of Active Queue Management Algorithms},
  NUMBER =        {UM CSE-TR-387-99},
  YEAR  =         {1999}
}

@inproceedings{BLUEAnalytical,
author = {Abdel-jaber, Hussein and E. Woodward, Michael and Thabtah, Fadi and al Diabat, Mofleh},
year = {2007},
month = {01},
pages = {568-573},
title = {Modelling BLUE Active Queue Management using Discrete-time Queue.}
}

@book{IntroductiontoProbabilityModels,
title = "Introduction to Probability Models",
author = "Sheldon M. Ross",
booktitle = "Introduction to Probability Models (Eleventh Edition)",
publisher = "Academic Press",
edition = "Eleventh",
address = "Boston",
year = "2014",
isbn = "978-0-12-407948-9",
doi = "https://doi.org/10.1016/B978-0-12-407948-9.00012-8",
url = "http://www.sciencedirect.com/science/article/pii/B9780124079489000128"
}

@online{cambridgeProbability,
  author = {Dr Frank King},
  title = {	Probability 2007 },
  year = {2007},
  howpublished = {https://www.cl.cam.ac.uk/teaching/0708/Probabilty/},
  urldate = {2019-04-04}
}

@book{Czachorski,
author = {Czach\'orski, Tadeusz},
year = {1999},
month = {01},
isbn={8386644249},
pages = {},
title = {Modele kolejkowe w ocenie efektywno\'sci pracy sieci i system\'ow komputerowych},
publisher={Pracownia Komputerowa Jacka Skalmierskiego}
}

@inproceedings{EnergyPacketNetworks,
 author = {Gelenbe, Erol},
 title = {Energy Packet Networks: Smart Electricity Storage to Meet Surges in Demand},
 booktitle = {Proceedings of the 5th International ICST Conference on Simulation Tools and Techniques},
 series = {SIMUTOOLS '12},
 year = {2012},
 isbn = {978-1-4503-1510-4},
 location = {Desenzano del Garda, Italy},
 pages = {1--7},
 numpages = {7},
 url = {http://dl.acm.org/citation.cfm?id=2263019.2263021},
 acmid = {2263021},
 publisher = {ICST (Institute for Computer Sciences, Social-Informatics and Telecommunications Engineering)},
 address = {ICST, Brussels, Belgium, Belgium},
 keywords = {energy packet networks, network control of energy flow, on-demand energy dispatching, smart grid, store and forward energy, storing renewable energy},
}

@book{adan2002queueing,
  title={Queueing Systems},
  author={Resing, Jacques and Adan, Ivo},
  year={2015},
  month={03},
  publisher={Eindhoven University of Technology}
}